Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1AdminPermission.MaintenanceMode

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1AdminPermission.MaintenanceMode

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `IdA1AdminPermission`

Enclosing interface:
  IdA1AdminPermission

public static record IdA1AdminPermission.MaintenanceMode() extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, IdA1AdminPermission
A permission that allows for changing the server's maintenance mode.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.idstore.protocol.admin.cb.IdA1AdminPermission

  `IdA1AdminPermission.AdminBan, IdA1AdminPermission.AdminCreate, IdA1AdminPermission.AdminDelete, IdA1AdminPermission.AdminRead, IdA1AdminPermission.AdminWriteCredentials, IdA1AdminPermission.AdminWriteCredentialsSelf, IdA1AdminPermission.AdminWriteEmail, IdA1AdminPermission.AdminWriteEmailSelf, IdA1AdminPermission.AdminWritePermissions, IdA1AdminPermission.AdminWritePermissionsSelf, IdA1AdminPermission.AuditRead, IdA1AdminPermission.MailTest, IdA1AdminPermission.MaintenanceMode, IdA1AdminPermission.UserBan, IdA1AdminPermission.UserCreate, IdA1AdminPermission.UserDelete, IdA1AdminPermission.UserRead, IdA1AdminPermission.UserWriteCredentials, IdA1AdminPermission.UserWriteEmail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MaintenanceMode()`
  Creates an instance of a `MaintenanceMode` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1AdminPermission.MaintenanceMode`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.idstore.protocol.admin.cb.MaintenanceMode.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminPermission.MaintenanceMode $x)`
  Serialize a value of type com.io7m.idstore.protocol.admin.cb.MaintenanceMode.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MaintenanceMode

    public MaintenanceMode()
    Creates an instance of a `MaintenanceMode` record class.

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminPermission.MaintenanceMode $x) throws IOException
    Serialize a value of type com.io7m.idstore.protocol.admin.cb.MaintenanceMode.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1AdminPermission.MaintenanceMode deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.idstore.protocol.admin.cb.MaintenanceMode.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.idstore.protocol.admin.cb.MaintenanceMode.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.